MP4(3)

NAME

MP4GetVideoProfileLevel - Gets the minimum MPEG-4 video profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

u_int8_t MP4GetVideoProfileLevel(
        MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

The current video profile/level for the file. See MP4SetVideoProfileLevel() for known values.

DESCRIPTION

MP4GetVideoProfileLevel returns the minumum profile/level of MPEG-4 video support necessary to render the contents of the file.

SEE ALSO

MP4(3) MP4SetVideoProfileLevel(3)